# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class UeCoordinates(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, latitude: int=None, longitude: int=None, altitude: float=None):  # noqa: E501
        """UeCoordinates - a model defined in Swagger

        :param latitude: The latitude of this UeCoordinates.  # noqa: E501
        :type latitude: int
        :param longitude: The longitude of this UeCoordinates.  # noqa: E501
        :type longitude: int
        :param altitude: The altitude of this UeCoordinates.  # noqa: E501
        :type altitude: float
        """
        self.swagger_types = {
            'latitude': int,
            'longitude': int,
            'altitude': float
        }

        self.attribute_map = {
            'latitude': 'latitude',
            'longitude': 'longitude',
            'altitude': 'altitude'
        }
        self._latitude = latitude
        self._longitude = longitude
        self._altitude = altitude

    @classmethod
    def from_dict(cls, dikt) -> 'UeCoordinates':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The ue-coordinates of this UeCoordinates.  # noqa: E501
        :rtype: UeCoordinates
        """
        return util.deserialize_model(dikt, cls)

    @property
    def latitude(self) -> int:
        """Gets the latitude of this UeCoordinates.


        :return: The latitude of this UeCoordinates.
        :rtype: int
        """
        return self._latitude

    @latitude.setter
    def latitude(self, latitude: int):
        """Sets the latitude of this UeCoordinates.


        :param latitude: The latitude of this UeCoordinates.
        :type latitude: int
        """

        self._latitude = latitude

    @property
    def longitude(self) -> int:
        """Gets the longitude of this UeCoordinates.


        :return: The longitude of this UeCoordinates.
        :rtype: int
        """
        return self._longitude

    @longitude.setter
    def longitude(self, longitude: int):
        """Sets the longitude of this UeCoordinates.


        :param longitude: The longitude of this UeCoordinates.
        :type longitude: int
        """

        self._longitude = longitude

    @property
    def altitude(self) -> float:
        """Gets the altitude of this UeCoordinates.


        :return: The altitude of this UeCoordinates.
        :rtype: float
        """
        return self._altitude

    @altitude.setter
    def altitude(self, altitude: float):
        """Sets the altitude of this UeCoordinates.


        :param altitude: The altitude of this UeCoordinates.
        :type altitude: float
        """

        self._altitude = altitude
